#ifndef SHARED_COMMANDS_HPP
#define SHARED_COMMANDS_HPP

#include "servers.hpp"

namespace dropshell {

    // defined in install.cpp
    bool rsync_tree_to_remote(
        const std::string &local_path,
        const std::string &remote_path, 
        server_env_manager &server_env, 
        bool silent);

    // defined in install.cpp
    bool install_service(const std::string& server, const std::string& service, bool silent);

} // namespace dropshell
#endif
